/*
 * $Id: TilesServlet.java 478155 2006-11-22 13:08:57Z apetrelli $
 *
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *
 */
package org.apache.tiles.servlet;

import org.apache.tiles.listener.TilesListener;

import javax.servlet.http.HttpServlet;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletException;

/**
 * Initialization Servlet. Provided for backwards compatibility.
 * The prefered method of initialization is to use the TilesListener.
 *
 * @see org.apache.tiles.listener.TilesListener
 * @version $Rev: 478155 $ $Date: 2006-11-22 08:08:57 -0500 (Wed, 22 Nov 2006) $
 */
public class TilesServlet extends HttpServlet {

    private TilesListener listener = new TilesListener();

    public void destroy() {
        listener.contextDestroyed(createEvent());
    }

    public void init() throws ServletException {
        listener.contextInitialized(createEvent());
    }

    private ServletContextEvent createEvent() {
        return new ServletContextEvent(
            new ServletContextAdapter(getServletConfig())
        );
    }

}
